#include<stdio.h>
#include<signal.h>
#include<sys/types.h>
#include<sys/wait.h>
#include <stdlib.h>
#include <unistd.h>

void sigint_handler(int sig){
    printf("Process %d received signal %d\n",getpid(),sig);
    exit(0);
}

int main(){
    pid_t pid;
    int child_status;
    
    signal(SIGINT,sigint_handler);

    pid=fork();
    if(pid==0){
        while(1);
    }
    
    printf("Sending SIGINT to process %d\n",pid);
    kill(pid,SIGINT);

    pid_t wpid=waitpid(pid, &child_status,0);
    
    if(WIFEXITED(child_status)){
        printf("Child terminated normally\n");
    }else{
        printf("Child terminated abnormally\n");
    }

    
    exit(0);
}